public final class QueryParamMapping extends Object
TokenHandler.setHeader(Map, String) to create a new header for
the extracted parameter.| Modifier and Type | Method | Description |
|---|---|---|
static QueryParamMapping |
create(String queryParamName,
TokenHandler tokenHandler) |
Create a new mapping for a query parameter and
TokenHandler to extract
the parameter and store it as a new header with possible transformation. |
static QueryParamMapping |
create(String queryParamName,
String headerName) |
Create a new mapping for a query parameter and a header name.
|
static QueryParamMapping |
from(Config config) |
Read a new instance from configuration.
|
String |
getQueryParamName() |
|
TokenHandler |
getTokenHandler() |
public static QueryParamMapping create(String queryParamName, TokenHandler tokenHandler)
TokenHandler to extract
the parameter and store it as a new header with possible transformation.queryParamName - name of parametertokenHandler - handler to extract and store the header valuepublic static QueryParamMapping create(String queryParamName, String headerName)
queryParamName - name of parameterheaderName - name of a header to store the value of the parameter inpublic static QueryParamMapping from(Config config)
"name" and configuration for TokenHandlerconfig - configuration instancepublic String getQueryParamName()
public TokenHandler getTokenHandler()
Copyright © 2018, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.